#ifndef BOOT_LOADER_HPP
#define BOOT_LOADER_HPP
#include <PSX/jabyengine.hpp>

namespace JabyEngine {
    //boot namespace?
    namespace boot {
        namespace BootFile {
            JabyEngine::NextRoutine setup();
        }

        namespace CD {
            void setup();
        }

        namespace GPU {
            void display_logo();
            void setup();
        }

        namespace SPU {
            void stop_voices();
            void setup();
        }

        namespace Start {
            JabyEngine::NextRoutine setup();
        }

        namespace Timer {
            void setup();
        }
    }
}
#endif //!BOOT_LOADER_HPP