#ifndef __JABYENGINE_OVERLAY_DECLARATION__HPP__
#define __JABYENGINE_OVERLAY_DECLARATION__HPP__

// No include here because this header should be included in a namespace and we don't want multiple namespace definitions of OverlayHeader and OverlayLBA

#include "../AutoLBA/auto_lba_declaration.hpp"
extern const JabyEngine::OverlayHeader overlay_header;

#define __declare_overlay_header(function, enum_struct) \
__declare_lba_header(enum_struct); \
[[gnu::used]] \
const JabyEngine::OverlayHeader __section(".header") overlay_header = {.execute = &function, .lba_size = static_cast<uint16_t>(enum_struct::EndOfRequest)};
#endif //!__JABYENGINE_OVERLAY_DECLARATION__HPP__