#ifndef __JABYENGINE_MEMORY_IO_HPP__
#define __JABYENGINE_MEMORY_IO_HPP__
#include "ioport.hpp"

namespace JabyEngine {
    namespace Memory_IO {
        struct COM_DELAY {
            typedef uint32_t Type;

            static constexpr uint32_t SetupValue = 0x1325;
        };

        struct CD_DELAY {
            typedef uint32_t Type;

            static constexpr uint32_t SetupValue = 0x20943;
        };

        __declare_io_port_global_simple(COM_DELAY::Type, COM_DELAY, 0x1F801020);
        __declare_io_port_global_simple(CD_DELAY::Type,  CD_DELAY,  0x1F801018);
    }
}

#endif //!__JABYENGINE_MEMORY_IO_HPP__